const { copyFileSync, readdirSync } = require("fs");
const { extname, resolve } = require("path");

switch (process.platform) {
    case "win32":
        {
            const dlls = readdirSync(resolve(__dirname, "../libraries")).filter(file => extname(file) === ".dll");
            dlls.forEach(dll => {
                copyFileSync(resolve(__dirname, "../libraries", dll), resolve(__dirname, '../build/Release/', dll));
            })
        }
}